Title: Método
Date: 2023-07-18
Category: Page
Ordinal: 003

<p>A continuación se detallan los pasos del algoritmo presentado en el paper para detectar las falsificaciones</p>

<ol>
  <li>División de la imagen en bloques: La imagen se divide en bloques de 8x8 píxeles, que es el tamaño de bloque utilizado en la compresión JPEG.</li>
  <li>Cálculo de los coeficientes DCT: Para cada bloque, se calculan los coeficientes DCT utilizando la transformada discreta del coseno.</li>
  <li>Construcción de histogramas: Para cada canal de color (Y, U o V), se construyen 64 histogramas diferentes, uno para cada frecuencia de los coeficientes DCT. Dada la naturaleza de la compresión JPEG los histogramas correspondientes a las altas frcuencias no contienen información relevante por lo que se utilizan los historgramas de frecuencias bajas y medias. Si la imagen fue sometida a una doble cuantización el histograma presentará picos periódicos.</li>
  <li>Cálculo de las probabilidades de compresión doble: Para frecuencia de cada bloque y canal de color, se calcula la probabilidad de que ese bloque no haya sido modificado estimando la probabilidad de que ese bloque contribuya a la formación de los picos periódicos del histograma de cada frcuencia.</li>
  <li>Cálculo de las probabilidades de compresión simple: Para frecuencia de cada bloque y canal de color, se calcula la probabilidad de que ese bloque haya sido modificado calculando la probabilidad de que contribuya a cualquier bin de un periodo entre picos. Esta probabilidad se asume uniforme por lo que se calcula como 1/p, siendo 'p' el periodo entre picos del histograma de cada frecuencia.</li>
  <li>Cálculo de la probabilidad global: Las probabilidades de compresión doble y simple para cada frecuencia de cada bloque se combinan utilizando un modelo bayesiano. Se asume que la probabilidad de que un bloque esté o no modificado es la misma(0.5). Luego se calcula una probabilidad global del bloque agregando las probabildiades para cada frecuencia, obteniendo así un mapa de probabilidades de adulteraciones de la imagen. </li>
  <li>Generación de la máscara binaria: La probabilidad global se utiliza para generar una máscara binaria que indica qué bloques son sospechosos de haber sido manipulados. Para esto, se ultilizan tecnicas simples de segmentación.</li>
</ol>
